View Bazaar branches
Get this repository:
git clone https://git.launchpad.net/ubuntu/+source/hplip
Members of Ubuntu Server Dev import team can upload to this repository. Log in for directions.

Branches

Name Last Modified Last Commit
importer/ubuntu/dsc 2018-10-07 22:12:33 UTC 2018-10-07
DSC file for 3.18.7+dfsg1-2ubuntu2

Author: Ubuntu Git Importer
Author Date: 2018-10-07 22:12:33 UTC

DSC file for 3.18.7+dfsg1-2ubuntu2

applied/ubuntu/cosmic-devel 2018-10-07 22:03:18 UTC 2018-10-07
Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic...

Author: Till Kamppeter
Author Date: 2018-10-04 19:21:00 UTC

Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: e2cd44714895887aa768c85c673d5479cd4e2323
Unapplied parent: cad3fd662948a7b087769598649166b56761c889

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

ubuntu/cosmic-proposed 2018-10-07 22:03:18 UTC 2018-10-07
Import patches-unapplied version 3.18.7+dfsg1-2ubuntu2 to ubuntu/cosmic-proposed

Author: Till Kamppeter
Author Date: 2018-10-04 19:21:00 UTC

Import patches-unapplied version 3.18.7+dfsg1-2ubuntu2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: eb0e4d2d1b1dd9260d9d1a9f069e55bd9279f561

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

ubuntu/cosmic 2018-10-07 22:03:18 UTC 2018-10-07
Import patches-unapplied version 3.18.7+dfsg1-2ubuntu2 to ubuntu/cosmic-proposed

Author: Till Kamppeter
Author Date: 2018-10-04 19:21:00 UTC

Import patches-unapplied version 3.18.7+dfsg1-2ubuntu2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: eb0e4d2d1b1dd9260d9d1a9f069e55bd9279f561

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

ubuntu/devel 2018-10-07 22:03:18 UTC 2018-10-07
Import patches-unapplied version 3.18.7+dfsg1-2ubuntu2 to ubuntu/cosmic-proposed

Author: Till Kamppeter
Author Date: 2018-10-04 19:21:00 UTC

Import patches-unapplied version 3.18.7+dfsg1-2ubuntu2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: eb0e4d2d1b1dd9260d9d1a9f069e55bd9279f561

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

ubuntu/cosmic-devel 2018-10-07 22:03:18 UTC 2018-10-07
Import patches-unapplied version 3.18.7+dfsg1-2ubuntu2 to ubuntu/cosmic-proposed

Author: Till Kamppeter
Author Date: 2018-10-04 19:21:00 UTC

Import patches-unapplied version 3.18.7+dfsg1-2ubuntu2 to ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: eb0e4d2d1b1dd9260d9d1a9f069e55bd9279f561

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

applied/ubuntu/cosmic-proposed 2018-10-07 22:03:18 UTC 2018-10-07
Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic...

Author: Till Kamppeter
Author Date: 2018-10-04 19:21:00 UTC

Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: e2cd44714895887aa768c85c673d5479cd4e2323
Unapplied parent: cad3fd662948a7b087769598649166b56761c889

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

applied/ubuntu/cosmic 2018-10-07 22:03:18 UTC 2018-10-07
Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic...

Author: Till Kamppeter
Author Date: 2018-10-04 19:21:00 UTC

Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: e2cd44714895887aa768c85c673d5479cd4e2323
Unapplied parent: cad3fd662948a7b087769598649166b56761c889

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

applied/ubuntu/devel 2018-10-07 22:03:18 UTC 2018-10-07
Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic...

Author: Till Kamppeter
Author Date: 2018-10-04 19:21:00 UTC

Import patches-applied version 3.18.7+dfsg1-2ubuntu2 to applied/ubuntu/cosmic-proposed

Imported using git-ubuntu import.

Changelog parent: e2cd44714895887aa768c85c673d5479cd4e2323
Unapplied parent: cad3fd662948a7b087769598649166b56761c889

New changelog entries:
  * Let hp-check show distro names correctly (and not internal
    index numbers for them, LP: #1688684).

importer/debian/dsc 2018-09-30 16:28:43 UTC 2018-09-30
DSC file for 3.18.9+dfsg0-1

Author: Ubuntu Git Importer
Author Date: 2018-09-30 16:28:43 UTC

DSC file for 3.18.9+dfsg0-1

debian/experimental 2018-09-30 16:26:31 UTC 2018-09-30
Import patches-unapplied version 3.18.9+dfsg0-1 to debian/experimental

Author: Didier Raboud
Author Date: 2018-09-30 10:10:29 UTC

Import patches-unapplied version 3.18.9+dfsg0-1 to debian/experimental

Imported using git-ubuntu import.

Changelog parent: 881088d3667e8c924108e361f09edb2a6a69bc0b

New changelog entries:
  * New upstream version 3.18.9
  * DFSG-repack:
    - Drop compiled locatedriver and prnt/plugins/*.so
    - Drop unlicensed files from tarball root
    - Remove compiled libImageProcessor i386 & amd64 shared libraries
      artifacts as they don't come with source

debian/sid 2018-09-14 16:30:37 UTC 2018-09-14
Import patches-unapplied version 3.17.10+repack0-7 to debian/sid

Author: Didier Raboud
Author Date: 2018-09-14 11:15:32 UTC

Import patches-unapplied version 3.17.10+repack0-7 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 3d03ae0b2718e4d06c6210fc454e8589e47b7882

New changelog entries:
  [ Uwe Kleine-K├Ânig ]
  * Weaken breaks/replaces of libsane-hpaio against hplip to ease
    backporting (Closes: #905734)

importer/ubuntu/pristine-tar 2018-04-14 17:13:18 UTC 2018-04-14
pristine-tar data for hplip_3.17.10+repack0.orig.tar.xz

Author: Ubuntu Git Importer
Author Date: 2018-04-14 17:13:18 UTC

pristine-tar data for hplip_3.17.10+repack0.orig.tar.xz

importer/debian/pristine-tar 2018-04-14 12:24:48 UTC 2018-04-14
pristine-tar data for hplip_3.18.3+dfsg0.orig.tar.xz

Author: Ubuntu Git Importer
Author Date: 2018-04-14 12:24:48 UTC

pristine-tar data for hplip_3.18.3+dfsg0.orig.tar.xz

applied/ubuntu/bionic 2018-03-08 09:18:40 UTC 2018-03-08
Import patches-applied version 3.17.10+repack0-5 to applied/ubuntu/bionic-pro...

Author: Didier Raboud
Author Date: 2018-03-07 08:18:22 UTC

Import patches-applied version 3.17.10+repack0-5 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: a57c2bc7e9dbf70451a4f848496ab1449e10f966
Unapplied parent: d7207defafdf1e8a7c70933028142b8d0bc2fc3d

New changelog entries:
  * Move 56-hpmud.rules from hplip to libsane-hpaio (Closes: #890930)

applied/ubuntu/bionic-proposed 2018-03-08 09:18:40 UTC 2018-03-08
Import patches-applied version 3.17.10+repack0-5 to applied/ubuntu/bionic-pro...

Author: Didier Raboud
Author Date: 2018-03-07 08:18:22 UTC

Import patches-applied version 3.17.10+repack0-5 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: a57c2bc7e9dbf70451a4f848496ab1449e10f966
Unapplied parent: d7207defafdf1e8a7c70933028142b8d0bc2fc3d

New changelog entries:
  * Move 56-hpmud.rules from hplip to libsane-hpaio (Closes: #890930)

applied/ubuntu/bionic-devel 2018-03-08 09:18:40 UTC 2018-03-08
Import patches-applied version 3.17.10+repack0-5 to applied/ubuntu/bionic-pro...

Author: Didier Raboud
Author Date: 2018-03-07 08:18:22 UTC

Import patches-applied version 3.17.10+repack0-5 to applied/ubuntu/bionic-proposed

Imported using git-ubuntu import.

Changelog parent: a57c2bc7e9dbf70451a4f848496ab1449e10f966
Unapplied parent: d7207defafdf1e8a7c70933028142b8d0bc2fc3d

New changelog entries:
  * Move 56-hpmud.rules from hplip to libsane-hpaio (Closes: #890930)

ubuntu/bionic 2018-03-07 16:30:05 UTC 2018-03-07
Import patches-unapplied version 3.17.10+repack0-5 to debian/sid

Author: Didier Raboud
Author Date: 2018-03-07 08:18:22 UTC

Import patches-unapplied version 3.17.10+repack0-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ee5a7cd33d48e982301ebc7dab2b8fcb194e6e18

New changelog entries:
  * Move 56-hpmud.rules from hplip to libsane-hpaio (Closes: #890930)

debian/buster 2018-03-07 16:30:05 UTC 2018-03-07
Import patches-unapplied version 3.17.10+repack0-5 to debian/sid

Author: Didier Raboud
Author Date: 2018-03-07 08:18:22 UTC

Import patches-unapplied version 3.17.10+repack0-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ee5a7cd33d48e982301ebc7dab2b8fcb194e6e18

New changelog entries:
  * Move 56-hpmud.rules from hplip to libsane-hpaio (Closes: #890930)

ubuntu/bionic-proposed 2018-03-07 16:30:05 UTC 2018-03-07
Import patches-unapplied version 3.17.10+repack0-5 to debian/sid

Author: Didier Raboud
Author Date: 2018-03-07 08:18:22 UTC

Import patches-unapplied version 3.17.10+repack0-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ee5a7cd33d48e982301ebc7dab2b8fcb194e6e18

New changelog entries:
  * Move 56-hpmud.rules from hplip to libsane-hpaio (Closes: #890930)

ubuntu/bionic-devel 2018-03-07 16:30:05 UTC 2018-03-07
Import patches-unapplied version 3.17.10+repack0-5 to debian/sid

Author: Didier Raboud
Author Date: 2018-03-07 08:18:22 UTC

Import patches-unapplied version 3.17.10+repack0-5 to debian/sid

Imported using git-ubuntu import.

Changelog parent: ee5a7cd33d48e982301ebc7dab2b8fcb194e6e18

New changelog entries:
  * Move 56-hpmud.rules from hplip to libsane-hpaio (Closes: #890930)

applied/ubuntu/artful-proposed 2017-08-13 11:08:12 UTC 2017-08-13
Import patches-applied version 3.17.7+repack0-3 to applied/ubuntu/artful-prop...

Author: Didier Raboud
Author Date: 2017-08-13 02:16:35 UTC

Import patches-applied version 3.17.7+repack0-3 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 2a6f2e3f80a807718dba6461d23d0ab199910e5b
Unapplied parent: 00befafa102bb8deceab5171125e048a0ec10ed7

New changelog entries:
  * Reintroduce ui5/devmgr5_base.py patching of self.retranslateUi
    (Closes: #871917)

applied/ubuntu/artful 2017-08-13 11:08:12 UTC 2017-08-13
Import patches-applied version 3.17.7+repack0-3 to applied/ubuntu/artful-prop...

Author: Didier Raboud
Author Date: 2017-08-13 02:16:35 UTC

Import patches-applied version 3.17.7+repack0-3 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 2a6f2e3f80a807718dba6461d23d0ab199910e5b
Unapplied parent: 00befafa102bb8deceab5171125e048a0ec10ed7

New changelog entries:
  * Reintroduce ui5/devmgr5_base.py patching of self.retranslateUi
    (Closes: #871917)

applied/ubuntu/artful-devel 2017-08-13 11:08:12 UTC 2017-08-13
Import patches-applied version 3.17.7+repack0-3 to applied/ubuntu/artful-prop...

Author: Didier Raboud
Author Date: 2017-08-13 02:16:35 UTC

Import patches-applied version 3.17.7+repack0-3 to applied/ubuntu/artful-proposed

Imported using git-ubuntu import.

Changelog parent: 2a6f2e3f80a807718dba6461d23d0ab199910e5b
Unapplied parent: 00befafa102bb8deceab5171125e048a0ec10ed7

New changelog entries:
  * Reintroduce ui5/devmgr5_base.py patching of self.retranslateUi
    (Closes: #871917)

ubuntu/artful-proposed 2017-08-13 10:30:24 UTC 2017-08-13
Import patches-unapplied version 3.17.7+repack0-3 to debian/sid

Author: Didier Raboud
Author Date: 2017-08-13 02:16:35 UTC

Import patches-unapplied version 3.17.7+repack0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f6979e5d8c629eb0453da22966a5fa9ea8dea008

New changelog entries:
  * Reintroduce ui5/devmgr5_base.py patching of self.retranslateUi
    (Closes: #871917)

ubuntu/artful 2017-08-13 10:30:24 UTC 2017-08-13
Import patches-unapplied version 3.17.7+repack0-3 to debian/sid

Author: Didier Raboud
Author Date: 2017-08-13 02:16:35 UTC

Import patches-unapplied version 3.17.7+repack0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f6979e5d8c629eb0453da22966a5fa9ea8dea008

New changelog entries:
  * Reintroduce ui5/devmgr5_base.py patching of self.retranslateUi
    (Closes: #871917)

ubuntu/artful-devel 2017-08-13 10:30:24 UTC 2017-08-13
Import patches-unapplied version 3.17.7+repack0-3 to debian/sid

Author: Didier Raboud
Author Date: 2017-08-13 02:16:35 UTC

Import patches-unapplied version 3.17.7+repack0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: f6979e5d8c629eb0453da22966a5fa9ea8dea008

New changelog entries:
  * Reintroduce ui5/devmgr5_base.py patching of self.retranslateUi
    (Closes: #871917)

debian/stretch 2017-05-08 10:12:26 UTC 2017-05-08
Import patches-unapplied version 3.16.11+repack0-3 to debian/sid

Author: Didier Raboud
Author Date: 2017-05-04 16:35:44 UTC

Import patches-unapplied version 3.16.11+repack0-3 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 16cf986cbed160d56a0e87575104d1e608918da0

New changelog entries:
  [ Gaurav Sood ]
  * Fix handling of unicode filenames in sixext.py
    (Closes: #861731, LP: #1480152)

applied/ubuntu/zesty 2017-01-31 05:13:15 UTC 2017-01-31
Import patches-applied version 3.16.11+repack0-2 to applied/ubuntu/zesty-prop...

Author: Didier Raboud
Author Date: 2017-01-30 20:36:12 UTC

Import patches-applied version 3.16.11+repack0-2 to applied/ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 7be06fb9e70783a97495a292cdd0f1ab3c3076f5
Unapplied parent: f1ddebe8251b3360883284fcc6946eab0c703b2e

New changelog entries:
  [ Brian Potkin ]
  * Drop inaccurate 'and PPDs' from the hplip-data description
    (Closes: #848889)
  [ Didier Raboud ]
  * Explicitly build-depend on libssl-dev (Closes: #852921)
  * Explicitly build-depend on dh-python

applied/ubuntu/zesty-devel 2017-01-31 05:13:15 UTC 2017-01-31
Import patches-applied version 3.16.11+repack0-2 to applied/ubuntu/zesty-prop...

Author: Didier Raboud
Author Date: 2017-01-30 20:36:12 UTC

Import patches-applied version 3.16.11+repack0-2 to applied/ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 7be06fb9e70783a97495a292cdd0f1ab3c3076f5
Unapplied parent: f1ddebe8251b3360883284fcc6946eab0c703b2e

New changelog entries:
  [ Brian Potkin ]
  * Drop inaccurate 'and PPDs' from the hplip-data description
    (Closes: #848889)
  [ Didier Raboud ]
  * Explicitly build-depend on libssl-dev (Closes: #852921)
  * Explicitly build-depend on dh-python

applied/ubuntu/zesty-proposed 2017-01-31 05:13:15 UTC 2017-01-31
Import patches-applied version 3.16.11+repack0-2 to applied/ubuntu/zesty-prop...

Author: Didier Raboud
Author Date: 2017-01-30 20:36:12 UTC

Import patches-applied version 3.16.11+repack0-2 to applied/ubuntu/zesty-proposed

Imported using git-ubuntu import.

Changelog parent: 7be06fb9e70783a97495a292cdd0f1ab3c3076f5
Unapplied parent: f1ddebe8251b3360883284fcc6946eab0c703b2e

New changelog entries:
  [ Brian Potkin ]
  * Drop inaccurate 'and PPDs' from the hplip-data description
    (Closes: #848889)
  [ Didier Raboud ]
  * Explicitly build-depend on libssl-dev (Closes: #852921)
  * Explicitly build-depend on dh-python

ubuntu/zesty-devel 2017-01-31 04:14:26 UTC 2017-01-31
Import patches-unapplied version 3.16.11+repack0-2 to debian/sid

Author: Didier Raboud
Author Date: 2017-01-30 20:36:12 UTC

Import patches-unapplied version 3.16.11+repack0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fed5b353ab01184b75bf896b2b9c250347444b9b

New changelog entries:
  [ Brian Potkin ]
  * Drop inaccurate 'and PPDs' from the hplip-data description
    (Closes: #848889)
  [ Didier Raboud ]
  * Explicitly build-depend on libssl-dev (Closes: #852921)
  * Explicitly build-depend on dh-python

ubuntu/zesty-proposed 2017-01-31 04:14:26 UTC 2017-01-31
Import patches-unapplied version 3.16.11+repack0-2 to debian/sid

Author: Didier Raboud
Author Date: 2017-01-30 20:36:12 UTC

Import patches-unapplied version 3.16.11+repack0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fed5b353ab01184b75bf896b2b9c250347444b9b

New changelog entries:
  [ Brian Potkin ]
  * Drop inaccurate 'and PPDs' from the hplip-data description
    (Closes: #848889)
  [ Didier Raboud ]
  * Explicitly build-depend on libssl-dev (Closes: #852921)
  * Explicitly build-depend on dh-python

ubuntu/zesty 2017-01-31 04:14:26 UTC 2017-01-31
Import patches-unapplied version 3.16.11+repack0-2 to debian/sid

Author: Didier Raboud
Author Date: 2017-01-30 20:36:12 UTC

Import patches-unapplied version 3.16.11+repack0-2 to debian/sid

Imported using git-ubuntu import.

Changelog parent: fed5b353ab01184b75bf896b2b9c250347444b9b

New changelog entries:
  [ Brian Potkin ]
  * Drop inaccurate 'and PPDs' from the hplip-data description
    (Closes: #848889)
  [ Didier Raboud ]
  * Explicitly build-depend on libssl-dev (Closes: #852921)
  * Explicitly build-depend on dh-python

debian/jessie 2017-01-14 17:21:37 UTC 2017-01-14
Import patches-unapplied version 3.14.6-1+deb8u1 to debian/jessie

Author: Didier Raboud
Author Date: 2017-01-04 10:30:04 UTC

Import patches-unapplied version 3.14.6-1+deb8u1 to debian/jessie

Imported using git-ubuntu import.

Changelog parent: ba7695e5e30c294083938b958c31a6ca22d2f795

New changelog entries:
  * Backport CVE-2015-0839 fix from upstream's 3.15.7: use full gpg key
    fingerprint when fetching key from keyservers
    (Closes: #787353, LP: #1432516)
  * Export HOME when building the manpages to permit hp-toolbox's manpage
    generation

applied/ubuntu/yakkety-devel 2016-09-26 01:34:17 UTC 2016-09-26
Import patches-applied version 3.16.7+repack0-1ubuntu1 to applied/ubuntu/yakk...

Author: Till Kamppeter
Author Date: 2016-09-22 20:44:00 UTC

Import patches-applied version 3.16.7+repack0-1ubuntu1 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: de310eadbd2318aec263ac4a114cd14f1d89e511
Unapplied parent: 683b4e1051f7abdc26fcd078a4f569685f516c0a

New changelog entries:
  * De-activated script to rename the paper sizes. The hpcups.drv
    file got too complex to do the automated renaming and so some
    printer's PPDs got broken (LP: #1626245).
  * add-include-cups-ppd-h.patch: Added "#include <cups/ppd.h>" lines to
    make HPLIP build with CUPS 2.2.x.

applied/ubuntu/yakkety-proposed 2016-09-26 01:34:17 UTC 2016-09-26
Import patches-applied version 3.16.7+repack0-1ubuntu1 to applied/ubuntu/yakk...

Author: Till Kamppeter
Author Date: 2016-09-22 20:44:00 UTC

Import patches-applied version 3.16.7+repack0-1ubuntu1 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: de310eadbd2318aec263ac4a114cd14f1d89e511
Unapplied parent: 683b4e1051f7abdc26fcd078a4f569685f516c0a

New changelog entries:
  * De-activated script to rename the paper sizes. The hpcups.drv
    file got too complex to do the automated renaming and so some
    printer's PPDs got broken (LP: #1626245).
  * add-include-cups-ppd-h.patch: Added "#include <cups/ppd.h>" lines to
    make HPLIP build with CUPS 2.2.x.

applied/ubuntu/yakkety 2016-09-26 01:34:17 UTC 2016-09-26
Import patches-applied version 3.16.7+repack0-1ubuntu1 to applied/ubuntu/yakk...

Author: Till Kamppeter
Author Date: 2016-09-22 20:44:00 UTC

Import patches-applied version 3.16.7+repack0-1ubuntu1 to applied/ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: de310eadbd2318aec263ac4a114cd14f1d89e511
Unapplied parent: 683b4e1051f7abdc26fcd078a4f569685f516c0a

New changelog entries:
  * De-activated script to rename the paper sizes. The hpcups.drv
    file got too complex to do the automated renaming and so some
    printer's PPDs got broken (LP: #1626245).
  * add-include-cups-ppd-h.patch: Added "#include <cups/ppd.h>" lines to
    make HPLIP build with CUPS 2.2.x.

ubuntu/yakkety-proposed 2016-09-26 01:34:17 UTC 2016-09-26
Import patches-unapplied version 3.16.7+repack0-1ubuntu1 to ubuntu/yakkety-pr...

Author: Till Kamppeter
Author Date: 2016-09-22 20:44:00 UTC

Import patches-unapplied version 3.16.7+repack0-1ubuntu1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: c85eb94ca0575ae42f7678d931dc08ae64d7be47

New changelog entries:
  * De-activated script to rename the paper sizes. The hpcups.drv
    file got too complex to do the automated renaming and so some
    printer's PPDs got broken (LP: #1626245).
  * add-include-cups-ppd-h.patch: Added "#include <cups/ppd.h>" lines to
    make HPLIP build with CUPS 2.2.x.

ubuntu/yakkety-devel 2016-09-26 01:34:17 UTC 2016-09-26
Import patches-unapplied version 3.16.7+repack0-1ubuntu1 to ubuntu/yakkety-pr...

Author: Till Kamppeter
Author Date: 2016-09-22 20:44:00 UTC

Import patches-unapplied version 3.16.7+repack0-1ubuntu1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: c85eb94ca0575ae42f7678d931dc08ae64d7be47

New changelog entries:
  * De-activated script to rename the paper sizes. The hpcups.drv
    file got too complex to do the automated renaming and so some
    printer's PPDs got broken (LP: #1626245).
  * add-include-cups-ppd-h.patch: Added "#include <cups/ppd.h>" lines to
    make HPLIP build with CUPS 2.2.x.

ubuntu/yakkety 2016-09-26 01:34:17 UTC 2016-09-26
Import patches-unapplied version 3.16.7+repack0-1ubuntu1 to ubuntu/yakkety-pr...

Author: Till Kamppeter
Author Date: 2016-09-22 20:44:00 UTC

Import patches-unapplied version 3.16.7+repack0-1ubuntu1 to ubuntu/yakkety-proposed

Imported using git-ubuntu import.

Changelog parent: c85eb94ca0575ae42f7678d931dc08ae64d7be47

New changelog entries:
  * De-activated script to rename the paper sizes. The hpcups.drv
    file got too complex to do the automated renaming and so some
    printer's PPDs got broken (LP: #1626245).
  * add-include-cups-ppd-h.patch: Added "#include <cups/ppd.h>" lines to
    make HPLIP build with CUPS 2.2.x.

applied/ubuntu/xenial 2016-03-29 07:03:51 UTC 2016-03-29
Import patches-applied version 3.16.3+repack0-1 to applied/ubuntu/xenial-prop...

Author: Julian Andres Klode
Author Date: 2016-03-19 10:38:01 UTC

Import patches-applied version 3.16.3+repack0-1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: e6da71a7ec026befb0daa36c161b3c54efa74a52
Unapplied parent: a62c2b903e499427bd3956fb5465544c85417062

New changelog entries:
  * Imported Upstream version 3.16.3
  * Apply HP-LaserJet_4000-PostScript-PPD.patch like other patches
  * Do not run install actions twice in indep+arch builds (Closes: #817883)
  * Handle building of only Architecture: any packages
  * Use --dbgsym-migration instead of --ddeb-migration
  * Add myself as an uploader
  * Port the packaging to dh(1) and clean it up internally:
    - Drop unused patches
    - debian/rules: Drop /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk
    - Delete unused debian/tmpno directory
    - Do not set DH_ALWAYS_EXCLUDE for CVS and drop DH_VERBOSE comment
    - Drop invalid use of X-Python-Version
    - debian/rules: Port to dh(1)
    - clean: Restore uncompressed files
    - Use the standard source:Version substvar and its friends
    - Remove support for installing Linda files
    - Do not install lintian overrides manually, use dh_lintian
    - Install ppd-updater files directly using dh_install
    - Do not pass sourcedir to dh_install
    - Install FAX ppds using install files
    - Simply use dh_install --list-missing
    - Let upstream install html into /usr/share/doc/hplip-doc/
    - debian/rules: Stop patching hplip.conf
    - Do not pass variables to build/install, not needed anymore
    - Delete README.source, outdated
    - Rename README.Source to README.source and drop outdated stuff
    - Use upstream symlinks; drops hp-hpdio (not a script)
    - Clean up lintian overrides
    - hplip-data: Override two lintian tags
    - Bump Standards-Version to 3.9.7
  * Dropped stuff:
    - Do not install .la files
    - Do not install hpssd into bin, it's not executable
    - Drop hp-unload for now, it does not support Python 3
  * Install missing manual pages that are available
  * Menu entry cleanup
    - Drop hplip-gui.menu, having both .desktop and .menu is forbidden now
    - Get rid of HPmenu.xpm and hp-logo.xpm, use upstream logo
  * Build flag changes:
    - Build with as-needed
    - Use full hardening
  * Add patch to order page sizes consistently in hp-scan, to ensure manpage
    generation reproducibility

applied/ubuntu/xenial-devel 2016-03-29 07:03:51 UTC 2016-03-29
Import patches-applied version 3.16.3+repack0-1 to applied/ubuntu/xenial-prop...

Author: Julian Andres Klode
Author Date: 2016-03-19 10:38:01 UTC

Import patches-applied version 3.16.3+repack0-1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: e6da71a7ec026befb0daa36c161b3c54efa74a52
Unapplied parent: a62c2b903e499427bd3956fb5465544c85417062

New changelog entries:
  * Imported Upstream version 3.16.3
  * Apply HP-LaserJet_4000-PostScript-PPD.patch like other patches
  * Do not run install actions twice in indep+arch builds (Closes: #817883)
  * Handle building of only Architecture: any packages
  * Use --dbgsym-migration instead of --ddeb-migration
  * Add myself as an uploader
  * Port the packaging to dh(1) and clean it up internally:
    - Drop unused patches
    - debian/rules: Drop /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk
    - Delete unused debian/tmpno directory
    - Do not set DH_ALWAYS_EXCLUDE for CVS and drop DH_VERBOSE comment
    - Drop invalid use of X-Python-Version
    - debian/rules: Port to dh(1)
    - clean: Restore uncompressed files
    - Use the standard source:Version substvar and its friends
    - Remove support for installing Linda files
    - Do not install lintian overrides manually, use dh_lintian
    - Install ppd-updater files directly using dh_install
    - Do not pass sourcedir to dh_install
    - Install FAX ppds using install files
    - Simply use dh_install --list-missing
    - Let upstream install html into /usr/share/doc/hplip-doc/
    - debian/rules: Stop patching hplip.conf
    - Do not pass variables to build/install, not needed anymore
    - Delete README.source, outdated
    - Rename README.Source to README.source and drop outdated stuff
    - Use upstream symlinks; drops hp-hpdio (not a script)
    - Clean up lintian overrides
    - hplip-data: Override two lintian tags
    - Bump Standards-Version to 3.9.7
  * Dropped stuff:
    - Do not install .la files
    - Do not install hpssd into bin, it's not executable
    - Drop hp-unload for now, it does not support Python 3
  * Install missing manual pages that are available
  * Menu entry cleanup
    - Drop hplip-gui.menu, having both .desktop and .menu is forbidden now
    - Get rid of HPmenu.xpm and hp-logo.xpm, use upstream logo
  * Build flag changes:
    - Build with as-needed
    - Use full hardening
  * Add patch to order page sizes consistently in hp-scan, to ensure manpage
    generation reproducibility

applied/ubuntu/xenial-proposed 2016-03-29 07:03:51 UTC 2016-03-29
Import patches-applied version 3.16.3+repack0-1 to applied/ubuntu/xenial-prop...

Author: Julian Andres Klode
Author Date: 2016-03-19 10:38:01 UTC

Import patches-applied version 3.16.3+repack0-1 to applied/ubuntu/xenial-proposed

Imported using git-ubuntu import.

Changelog parent: e6da71a7ec026befb0daa36c161b3c54efa74a52
Unapplied parent: a62c2b903e499427bd3956fb5465544c85417062

New changelog entries:
  * Imported Upstream version 3.16.3
  * Apply HP-LaserJet_4000-PostScript-PPD.patch like other patches
  * Do not run install actions twice in indep+arch builds (Closes: #817883)
  * Handle building of only Architecture: any packages
  * Use --dbgsym-migration instead of --ddeb-migration
  * Add myself as an uploader
  * Port the packaging to dh(1) and clean it up internally:
    - Drop unused patches
    - debian/rules: Drop /usr/share/gnome-pkg-tools/1/rules/sf-get-source.mk
    - Delete unused debian/tmpno directory
    - Do not set DH_ALWAYS_EXCLUDE for CVS and drop DH_VERBOSE comment
    - Drop invalid use of X-Python-Version
    - debian/rules: Port to dh(1)
    - clean: Restore uncompressed files
    - Use the standard source:Version substvar and its friends
    - Remove support for installing Linda files
    - Do not install lintian overrides manually, use dh_lintian
    - Install ppd-updater files directly using dh_install
    - Do not pass sourcedir to dh_install
    - Install FAX ppds using install files
    - Simply use dh_install --list-missing
    - Let upstream install html into /usr/share/doc/hplip-doc/
    - debian/rules: Stop patching hplip.conf
    - Do not pass variables to build/install, not needed anymore
    - Delete README.source, outdated
    - Rename README.Source to README.source and drop outdated stuff
    - Use upstream symlinks; drops hp-hpdio (not a script)
    - Clean up lintian overrides
    - hplip-data: Override two lintian tags
    - Bump Standards-Version to 3.9.7
  * Dropped stuff:
    - Do not install .la files
    - Do not install hpssd into bin, it's not executable
    - Drop hp-unload for now, it does not support Python 3
  * Install missing manual pages that are available
  * Menu entry cleanup
    - Drop hplip-gui.menu, having both .desktop and .menu is forbidden now
    - Get rid of HPmenu.xpm and hp-logo.xpm, use upstream logo
  * Build flag changes:
    - Build with as-needed
    - Use full hardening
  * Add patch to order page sizes consistently in hp-scan, to ensure manpage
    generation reproducibility

ubuntu/xenial-proposed 2016-03-22 10:30:57 UTC 2016-03-22
Import patches-unapplied version 3.16.3+repack0-1 to debian/sid

Author: Julian Andres Klode
Author Date: 2016-03-19 10:38:01 UTC

Import patches-unapplied version 3.16.3+repack0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 11a3556e56224fb08a89c8f31bc4265a9318c16d

New changelog entries:
  * Imported Upstream version 3.16.3

ubuntu/xenial 2016-03-22 10:30:57 UTC 2016-03-22
Import patches-unapplied version 3.16.3+repack0-1 to debian/sid

Author: Julian Andres Klode
Author Date: 2016-03-19 10:38:01 UTC

Import patches-unapplied version 3.16.3+repack0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 11a3556e56224fb08a89c8f31bc4265a9318c16d

New changelog entries:
  * Imported Upstream version 3.16.3

ubuntu/xenial-devel 2016-03-22 10:30:57 UTC 2016-03-22
Import patches-unapplied version 3.16.3+repack0-1 to debian/sid

Author: Julian Andres Klode
Author Date: 2016-03-19 10:38:01 UTC

Import patches-unapplied version 3.16.3+repack0-1 to debian/sid

Imported using git-ubuntu import.

Changelog parent: 11a3556e56224fb08a89c8f31bc4265a9318c16d

New changelog entries:
  * Imported Upstream version 3.16.3

ubuntu/wily 2015-09-18 00:33:44 UTC 2015-09-18
Import patches-unapplied version 3.15.7-0ubuntu4 to ubuntu/wily-proposed

Author: Till Kamppeter
Author Date: 2015-09-18 00:24:00 UTC

Import patches-unapplied version 3.15.7-0ubuntu4 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: eaae66bcc5be579dcb3401e167b576668f046e06

New changelog entries:
  * debian/local/scripts/hp-plugin-ubuntu: Use pkexec instead of
    gksu (LP: #1496980).

applied/ubuntu/wily-proposed 2015-09-18 00:33:44 UTC 2015-09-18
Import patches-applied version 3.15.7-0ubuntu4 to applied/ubuntu/wily-proposed

Author: Till Kamppeter
Author Date: 2015-09-18 00:24:00 UTC

Import patches-applied version 3.15.7-0ubuntu4 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 5f5bd7122ac8259c2d61ed55910e8348cc992092
Unapplied parent: f50d6ed38e46fd89b889c0f66562e06cbf90b406

New changelog entries:
  * debian/local/scripts/hp-plugin-ubuntu: Use pkexec instead of
    gksu (LP: #1496980).

ubuntu/wily-devel 2015-09-18 00:33:44 UTC 2015-09-18
Import patches-unapplied version 3.15.7-0ubuntu4 to ubuntu/wily-proposed

Author: Till Kamppeter
Author Date: 2015-09-18 00:24:00 UTC

Import patches-unapplied version 3.15.7-0ubuntu4 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: eaae66bcc5be579dcb3401e167b576668f046e06

New changelog entries:
  * debian/local/scripts/hp-plugin-ubuntu: Use pkexec instead of
    gksu (LP: #1496980).

applied/ubuntu/wily 2015-09-18 00:33:44 UTC 2015-09-18
Import patches-applied version 3.15.7-0ubuntu4 to applied/ubuntu/wily-proposed

Author: Till Kamppeter
Author Date: 2015-09-18 00:24:00 UTC

Import patches-applied version 3.15.7-0ubuntu4 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 5f5bd7122ac8259c2d61ed55910e8348cc992092
Unapplied parent: f50d6ed38e46fd89b889c0f66562e06cbf90b406

New changelog entries:
  * debian/local/scripts/hp-plugin-ubuntu: Use pkexec instead of
    gksu (LP: #1496980).

applied/ubuntu/wily-devel 2015-09-18 00:33:44 UTC 2015-09-18
Import patches-applied version 3.15.7-0ubuntu4 to applied/ubuntu/wily-proposed

Author: Till Kamppeter
Author Date: 2015-09-18 00:24:00 UTC

Import patches-applied version 3.15.7-0ubuntu4 to applied/ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: 5f5bd7122ac8259c2d61ed55910e8348cc992092
Unapplied parent: f50d6ed38e46fd89b889c0f66562e06cbf90b406

New changelog entries:
  * debian/local/scripts/hp-plugin-ubuntu: Use pkexec instead of
    gksu (LP: #1496980).

ubuntu/wily-proposed 2015-09-18 00:33:44 UTC 2015-09-18
Import patches-unapplied version 3.15.7-0ubuntu4 to ubuntu/wily-proposed

Author: Till Kamppeter
Author Date: 2015-09-18 00:24:00 UTC

Import patches-unapplied version 3.15.7-0ubuntu4 to ubuntu/wily-proposed

Imported using git-ubuntu import.

Changelog parent: eaae66bcc5be579dcb3401e167b576668f046e06

New changelog entries:
  * debian/local/scripts/hp-plugin-ubuntu: Use pkexec instead of
    gksu (LP: #1496980).

ubuntu/trusty-proposed 2015-08-03 02:43:39 UTC 2015-08-03
Import patches-unapplied version 3.14.3-0ubuntu3.5 to ubuntu/trusty-proposed

Author: Micah Gersten
Author Date: 2015-08-03 02:08:06 UTC

Import patches-unapplied version 3.14.3-0ubuntu3.5 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: bb777a0117b86a2a76b08a82d91754b3c3d5ad90

New changelog entries:
  * Re-uploaded 3.14.3-0ubuntu3.3 due to security update
  * Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
    All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
    Refreshed patch against trusty package (LP: #1245578)

applied/ubuntu/trusty-proposed 2015-08-03 02:43:39 UTC 2015-08-03
Import patches-applied version 3.14.3-0ubuntu3.5 to applied/ubuntu/trusty-pro...

Author: Micah Gersten
Author Date: 2015-08-03 02:08:06 UTC

Import patches-applied version 3.14.3-0ubuntu3.5 to applied/ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 5e6c93d73181f68f6c6b59c363deb988e537714c
Unapplied parent: a3abdf3a78a153d28830f73a93100b623a500608

New changelog entries:
  * Re-uploaded 3.14.3-0ubuntu3.3 due to security update
  * Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
    All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
    Refreshed patch against trusty package (LP: #1245578)

applied/ubuntu/trusty-devel 2015-08-03 02:43:39 UTC 2015-08-03
Import patches-applied version 3.14.3-0ubuntu3.5 to applied/ubuntu/trusty-pro...

Author: Micah Gersten
Author Date: 2015-08-03 02:08:06 UTC

Import patches-applied version 3.14.3-0ubuntu3.5 to applied/ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 5e6c93d73181f68f6c6b59c363deb988e537714c
Unapplied parent: a3abdf3a78a153d28830f73a93100b623a500608

New changelog entries:
  * Re-uploaded 3.14.3-0ubuntu3.3 due to security update
  * Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
    All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
    Refreshed patch against trusty package (LP: #1245578)

ubuntu/trusty-devel 2015-08-03 02:43:39 UTC 2015-08-03
Import patches-unapplied version 3.14.3-0ubuntu3.5 to ubuntu/trusty-proposed

Author: Micah Gersten
Author Date: 2015-08-03 02:08:06 UTC

Import patches-unapplied version 3.14.3-0ubuntu3.5 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: bb777a0117b86a2a76b08a82d91754b3c3d5ad90

New changelog entries:
  * Re-uploaded 3.14.3-0ubuntu3.3 due to security update
  * Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
    All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
    Refreshed patch against trusty package (LP: #1245578)

ubuntu/vivid-security 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-unapplied version 3.15.2-0ubuntu4.2 to ubuntu/vivid-security

Author: Marc Deslauriers
Author Date: 2015-07-30 12:23:47 UTC

Import patches-unapplied version 3.15.2-0ubuntu4.2 to ubuntu/vivid-security

Imported using git-ubuntu import.

Changelog parent: a96d1a6fe7fcc5c7e2865e3fded3e6801fef9560

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py.
    - CVE-2015-0839

applied/ubuntu/trusty-updates 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-applied version 3.14.3-0ubuntu3.4 to applied/ubuntu/trusty-sec...

Author: Marc Deslauriers
Author Date: 2015-07-30 12:30:50 UTC

Import patches-applied version 3.14.3-0ubuntu3.4 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 0a63b92a2edd56db869367e0e3ed0a119efb284c
Unapplied parent: 78213de7783942920df0257dda841b01b188686c

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py, base/utils.py, installer/pluginhandler.py.
    - CVE-2015-0839
  * This package does _not_ contain the changes from 3.14.3-0ubuntu3.3 in
    trusty-proposed.

ubuntu/precise-devel 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-unapplied version 3.12.2-1ubuntu3.5 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2015-07-30 13:01:29 UTC

Import patches-unapplied version 3.12.2-1ubuntu3.5 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 6454cda22a46bcf5482f9d1a468cb63134125fbf

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.dpatch: use long key id in
      installer/core_install.py.
    - CVE-2015-0839

applied/ubuntu/vivid-devel 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-applied version 3.15.2-0ubuntu4.2 to applied/ubuntu/vivid-secu...

Author: Marc Deslauriers
Author Date: 2015-07-30 12:23:47 UTC

Import patches-applied version 3.15.2-0ubuntu4.2 to applied/ubuntu/vivid-security

Imported using git-ubuntu import.

Changelog parent: d81a6cebe70f16a27871ec4828ca39e0a8f13f3c
Unapplied parent: ea9a97383aca5ba33a04e092945992d9f5132967

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py.
    - CVE-2015-0839

ubuntu/trusty-updates 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-unapplied version 3.14.3-0ubuntu3.4 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2015-07-30 12:30:50 UTC

Import patches-unapplied version 3.14.3-0ubuntu3.4 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: f22a6434e1715e97bd8cade02c5b02b67c345bf9

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py, base/utils.py, installer/pluginhandler.py.
    - CVE-2015-0839
  * This package does _not_ contain the changes from 3.14.3-0ubuntu3.3 in
    trusty-proposed.

ubuntu/vivid-updates 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-unapplied version 3.15.2-0ubuntu4.2 to ubuntu/vivid-security

Author: Marc Deslauriers
Author Date: 2015-07-30 12:23:47 UTC

Import patches-unapplied version 3.15.2-0ubuntu4.2 to ubuntu/vivid-security

Imported using git-ubuntu import.

Changelog parent: a96d1a6fe7fcc5c7e2865e3fded3e6801fef9560

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py.
    - CVE-2015-0839

applied/ubuntu/vivid-updates 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-applied version 3.15.2-0ubuntu4.2 to applied/ubuntu/vivid-secu...

Author: Marc Deslauriers
Author Date: 2015-07-30 12:23:47 UTC

Import patches-applied version 3.15.2-0ubuntu4.2 to applied/ubuntu/vivid-security

Imported using git-ubuntu import.

Changelog parent: d81a6cebe70f16a27871ec4828ca39e0a8f13f3c
Unapplied parent: ea9a97383aca5ba33a04e092945992d9f5132967

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py.
    - CVE-2015-0839

applied/ubuntu/vivid-security 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-applied version 3.15.2-0ubuntu4.2 to applied/ubuntu/vivid-secu...

Author: Marc Deslauriers
Author Date: 2015-07-30 12:23:47 UTC

Import patches-applied version 3.15.2-0ubuntu4.2 to applied/ubuntu/vivid-security

Imported using git-ubuntu import.

Changelog parent: d81a6cebe70f16a27871ec4828ca39e0a8f13f3c
Unapplied parent: ea9a97383aca5ba33a04e092945992d9f5132967

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py.
    - CVE-2015-0839

applied/ubuntu/trusty-security 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-applied version 3.14.3-0ubuntu3.4 to applied/ubuntu/trusty-sec...

Author: Marc Deslauriers
Author Date: 2015-07-30 12:30:50 UTC

Import patches-applied version 3.14.3-0ubuntu3.4 to applied/ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: 0a63b92a2edd56db869367e0e3ed0a119efb284c
Unapplied parent: 78213de7783942920df0257dda841b01b188686c

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py, base/utils.py, installer/pluginhandler.py.
    - CVE-2015-0839
  * This package does _not_ contain the changes from 3.14.3-0ubuntu3.3 in
    trusty-proposed.

ubuntu/vivid-devel 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-unapplied version 3.15.2-0ubuntu4.2 to ubuntu/vivid-security

Author: Marc Deslauriers
Author Date: 2015-07-30 12:23:47 UTC

Import patches-unapplied version 3.15.2-0ubuntu4.2 to ubuntu/vivid-security

Imported using git-ubuntu import.

Changelog parent: a96d1a6fe7fcc5c7e2865e3fded3e6801fef9560

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py.
    - CVE-2015-0839

ubuntu/precise-security 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-unapplied version 3.12.2-1ubuntu3.5 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2015-07-30 13:01:29 UTC

Import patches-unapplied version 3.12.2-1ubuntu3.5 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 6454cda22a46bcf5482f9d1a468cb63134125fbf

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.dpatch: use long key id in
      installer/core_install.py.
    - CVE-2015-0839

ubuntu/trusty-security 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-unapplied version 3.14.3-0ubuntu3.4 to ubuntu/trusty-security

Author: Marc Deslauriers
Author Date: 2015-07-30 12:30:50 UTC

Import patches-unapplied version 3.14.3-0ubuntu3.4 to ubuntu/trusty-security

Imported using git-ubuntu import.

Changelog parent: f22a6434e1715e97bd8cade02c5b02b67c345bf9

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.patch: use long key id in
      base/validation.py, base/utils.py, installer/pluginhandler.py.
    - CVE-2015-0839
  * This package does _not_ contain the changes from 3.14.3-0ubuntu3.3 in
    trusty-proposed.

applied/ubuntu/precise-updates 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-applied version 3.12.2-1ubuntu3.5 to applied/ubuntu/precise-se...

Author: Marc Deslauriers
Author Date: 2015-07-30 13:01:29 UTC

Import patches-applied version 3.12.2-1ubuntu3.5 to applied/ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 4e6a16dcca520fd7c2097dd7c9ddf291772b70c7
Unapplied parent: 9a0213ca9618bcb09a171dd6e857a01ce3125528

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.dpatch: use long key id in
      installer/core_install.py.
    - CVE-2015-0839

applied/ubuntu/precise-security 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-applied version 3.12.2-1ubuntu3.5 to applied/ubuntu/precise-se...

Author: Marc Deslauriers
Author Date: 2015-07-30 13:01:29 UTC

Import patches-applied version 3.12.2-1ubuntu3.5 to applied/ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 4e6a16dcca520fd7c2097dd7c9ddf291772b70c7
Unapplied parent: 9a0213ca9618bcb09a171dd6e857a01ce3125528

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.dpatch: use long key id in
      installer/core_install.py.
    - CVE-2015-0839

applied/ubuntu/precise-devel 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-applied version 3.12.2-1ubuntu3.5 to applied/ubuntu/precise-se...

Author: Marc Deslauriers
Author Date: 2015-07-30 13:01:29 UTC

Import patches-applied version 3.12.2-1ubuntu3.5 to applied/ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 4e6a16dcca520fd7c2097dd7c9ddf291772b70c7
Unapplied parent: 9a0213ca9618bcb09a171dd6e857a01ce3125528

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.dpatch: use long key id in
      installer/core_install.py.
    - CVE-2015-0839

ubuntu/precise-updates 2015-07-30 16:50:32 UTC 2015-07-30
Import patches-unapplied version 3.12.2-1ubuntu3.5 to ubuntu/precise-security

Author: Marc Deslauriers
Author Date: 2015-07-30 13:01:29 UTC

Import patches-unapplied version 3.12.2-1ubuntu3.5 to ubuntu/precise-security

Imported using git-ubuntu import.

Changelog parent: 6454cda22a46bcf5482f9d1a468cb63134125fbf

New changelog entries:
  * SECURITY UPDATE: insecure use of short gpg key id
    - debian/patches/CVE-2015-0839.dpatch: use long key id in
      installer/core_install.py.
    - CVE-2015-0839

applied/ubuntu/utopic-proposed 2015-06-24 17:58:33 UTC 2015-06-24
Import patches-applied version 3.14.6-1ubuntu1.1 to applied/ubuntu/utopic-pro...

Author: Micah Gersten
Author Date: 2015-06-23 02:18:07 UTC

Import patches-applied version 3.14.6-1ubuntu1.1 to applied/ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 454d927e3649a6cee0598c782bb0552d2b8218fe
Unapplied parent: 33c7ed53fafd9ae0d380376a127342bf7a21096a

New changelog entries:
  * Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
    All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
    Refreshed patch against trusty package (LP: #1245578)

applied/ubuntu/utopic-devel 2015-06-24 17:58:33 UTC 2015-06-24
Import patches-applied version 3.14.6-1ubuntu1.1 to applied/ubuntu/utopic-pro...

Author: Micah Gersten
Author Date: 2015-06-23 02:18:07 UTC

Import patches-applied version 3.14.6-1ubuntu1.1 to applied/ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 454d927e3649a6cee0598c782bb0552d2b8218fe
Unapplied parent: 33c7ed53fafd9ae0d380376a127342bf7a21096a

New changelog entries:
  * Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
    All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
    Refreshed patch against trusty package (LP: #1245578)

ubuntu/utopic-devel 2015-06-24 17:58:33 UTC 2015-06-24
Import patches-unapplied version 3.14.6-1ubuntu1.1 to ubuntu/utopic-proposed

Author: Micah Gersten
Author Date: 2015-06-23 02:18:07 UTC

Import patches-unapplied version 3.14.6-1ubuntu1.1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 72c3904029856bc8db6843d7712afcb88d63ed4c

New changelog entries:
  * Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
    All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
    Refreshed patch against trusty package (LP: #1245578)

ubuntu/utopic-proposed 2015-06-24 17:58:33 UTC 2015-06-24
Import patches-unapplied version 3.14.6-1ubuntu1.1 to ubuntu/utopic-proposed

Author: Micah Gersten
Author Date: 2015-06-23 02:18:07 UTC

Import patches-unapplied version 3.14.6-1ubuntu1.1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 72c3904029856bc8db6843d7712afcb88d63ed4c

New changelog entries:
  * Backport patch from vivid to allow non-JPEG scanning on the HP DeskJet 3520
    All-in-One and similar devices. Thanks to Lubos Dolezel for the patch.
    Refreshed patch against trusty package (LP: #1245578)

ubuntu/vivid-proposed 2015-05-06 21:44:38 UTC 2015-05-06
Import patches-unapplied version 3.15.2-0ubuntu4.1 to ubuntu/vivid-proposed

Author: Till Kamppeter
Author Date: 2015-05-06 19:50:00 UTC

Import patches-unapplied version 3.15.2-0ubuntu4.1 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 0b8d3b1df47c242f996fb8e02e6d0de5d72c54f7

New changelog entries:
  * debian/patches/hp-plugin-download-fix.patch: Fix download and installation
    of HP's proprietary plug-in in Python3 environments (LP: #1422004).

applied/ubuntu/vivid-proposed 2015-05-06 21:44:38 UTC 2015-05-06
Import patches-applied version 3.15.2-0ubuntu4.1 to applied/ubuntu/vivid-prop...

Author: Till Kamppeter
Author Date: 2015-05-06 19:50:00 UTC

Import patches-applied version 3.15.2-0ubuntu4.1 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 12623db9b008324773c88bcdff20131dd49a15e3
Unapplied parent: 529602e1a54a52015ad0aa3ea4a187bce416caa6

New changelog entries:
  * debian/patches/hp-plugin-download-fix.patch: Fix download and installation
    of HP's proprietary plug-in in Python3 environments (LP: #1422004).

applied/ubuntu/vivid 2015-03-17 18:48:51 UTC 2015-03-17
Import patches-applied version 3.15.2-0ubuntu4 to applied/ubuntu/vivid-proposed

Author: Till Kamppeter
Author Date: 2015-03-17 15:04:00 UTC

Import patches-applied version 3.15.2-0ubuntu4 to applied/ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: 75898370c4c9dfc6372a563a5ea7c494ad7d0ac2
Unapplied parent: 3de569c61b8677f2cbe0c03ceb06b145b9133bfc

New changelog entries:
  * debian/rules: Remove explicit call of /usr/bin/python when calling the
    /usr/bin/hp-config_usb_printer script so that the shebang does not get
    overridden (LP: #1425812).

ubuntu/vivid 2015-03-17 18:48:51 UTC 2015-03-17
Import patches-unapplied version 3.15.2-0ubuntu4 to ubuntu/vivid-proposed

Author: Till Kamppeter
Author Date: 2015-03-17 15:04:00 UTC

Import patches-unapplied version 3.15.2-0ubuntu4 to ubuntu/vivid-proposed

Imported using git-ubuntu import.

Changelog parent: a150f24990903f3ed14b7e2a7cdaadea6a81da75

New changelog entries:
  * debian/rules: Remove explicit call of /usr/bin/python when calling the
    /usr/bin/hp-config_usb_printer script so that the shebang does not get
    overridden (LP: #1425812).

ubuntu/utopic 2014-07-29 20:58:37 UTC 2014-07-29
Import patches-unapplied version 3.14.6-1ubuntu1 to ubuntu/utopic-proposed

Author: Harald Sitter
Author Date: 2014-07-29 20:51:04 UTC

Import patches-unapplied version 3.14.6-1ubuntu1 to ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: ba7695e5e30c294083938b958c31a6ca22d2f795

New changelog entries:
  * Add process-events-for-systray.patch to enable sni-qt compatiblity to
    allow hp-systray to continue working in Plasma 5.x workspaces.

applied/ubuntu/utopic 2014-07-29 20:58:37 UTC 2014-07-29
Import patches-applied version 3.14.6-1ubuntu1 to applied/ubuntu/utopic-proposed

Author: Harald Sitter
Author Date: 2014-07-29 20:51:04 UTC

Import patches-applied version 3.14.6-1ubuntu1 to applied/ubuntu/utopic-proposed

Imported using git-ubuntu import.

Changelog parent: 569bfaacd55134be1c99d6ec139dcbd6ee6f0068
Unapplied parent: dc9e09c308f3a185f7b56338df643ea843be3d89

New changelog entries:
  * Add process-events-for-systray.patch to enable sni-qt compatiblity to
    allow hp-systray to continue working in Plasma 5.x workspaces.

applied/ubuntu/trusty 2014-04-07 10:23:30 UTC 2014-04-07
Import patches-applied version 3.14.3-0ubuntu3 to applied/ubuntu/trusty-proposed

Author: Till Kamppeter
Author Date: 2014-04-04 15:00:00 UTC

Import patches-applied version 3.14.3-0ubuntu3 to applied/ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: 47863cb0ae02138c502c6c7170f4eddf72d5f704
Unapplied parent: 73dcb3bfbd5761efd50789095ea00fa8ff58ab48

New changelog entries:
  * debian/patches/musb-c-do-not-crash-on-usb-failure.patch: Make sure that
    the HPLIP components which access the USB (especially the CUPS backends
    "hp" and "hpfax") do not crash when libusb fails to connect to the USB,
    for example on machines without USB or with the USB kernel modules not
    loaded (LP: #1302437).

ubuntu/trusty 2014-04-07 10:23:30 UTC 2014-04-07
Import patches-unapplied version 3.14.3-0ubuntu3 to ubuntu/trusty-proposed

Author: Till Kamppeter
Author Date: 2014-04-04 15:00:00 UTC

Import patches-unapplied version 3.14.3-0ubuntu3 to ubuntu/trusty-proposed

Imported using git-ubuntu import.

Changelog parent: be8f4035df6f1ae48938331264fbc9838382c036

New changelog entries:
  * debian/patches/musb-c-do-not-crash-on-usb-failure.patch: Make sure that
    the HPLIP components which access the USB (especially the CUPS backends
    "hp" and "hpfax") do not crash when libusb fails to connect to the USB,
    for example on machines without USB or with the USB kernel modules not
    loaded (LP: #1302437).

debian/squeeze 2014-02-15 16:45:15 UTC 2014-02-15
Import patches-unapplied version 3.10.6-2+squeeze2 to debian/squeeze

Author: Moritz Muehlenhoff
Author Date: 2013-12-10 16:02:40 UTC

Import patches-unapplied version 3.10.6-2+squeeze2 to debian/squeeze

Imported using git-ubuntu import.

Changelog parent: a771c53799213055ac385c14f9cd2d5943a49a61

New changelog entries:
  * CVE-2013-0200 CVE-2013-4325 CVE-2013-6402

debian/wheezy 2014-02-08 16:39:43 UTC 2014-02-08
Import patches-unapplied version 3.12.6-3.1+deb7u1 to debian/wheezy

Author: Moritz Muehlenhoff
Author Date: 2013-12-09 23:04:01 UTC

Import patches-unapplied version 3.12.6-3.1+deb7u1 to debian/wheezy

Imported using git-ubuntu import.

Changelog parent: d08d991d2e903428c71e815ca7ff503b0dea70f2

New changelog entries:
  * CVE-2013-4325 CVE-2013-6402 CVE-2013-6427

ubuntu/precise-backports 2014-01-22 13:58:18 UTC 2014-01-22
Import patches-unapplied version 3.13.9-1ubuntu0.1~ubuntu12.04.1 to ubuntu/pr...

Author: Scott Kitterman
Author Date: 2014-01-22 13:39:25 UTC

Import patches-unapplied version 3.13.9-1ubuntu0.1~ubuntu12.04.1 to ubuntu/precise-backports

Imported using git-ubuntu import.

Changelog parent: 97a18f1969dd1b0c7a9c578201823f056444a82e

New changelog entries:
  * No-change backport to precise

applied/ubuntu/precise-backports 2014-01-22 13:58:18 UTC 2014-01-22
Import patches-applied version 3.13.9-1ubuntu0.1~ubuntu12.04.1 to applied/ubu...

Author: Scott Kitterman
Author Date: 2014-01-22 13:39:25 UTC

Import patches-applied version 3.13.9-1ubuntu0.1~ubuntu12.04.1 to applied/ubuntu/precise-backports

Imported using git-ubuntu import.

Changelog parent: 1dfa22be84e74e434b9b908b1c72f55b8599f9f5
Unapplied parent: 26fd7e08ef43029f19809e7d02f0441fdf23cfb3

New changelog entries:
  * No-change backport to precise

ubuntu/quantal-devel 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-unapplied version 3.12.6-3ubuntu4.3 to ubuntu/quantal-security

Author: Marc Deslauriers
Author Date: 2014-01-20 15:56:11 UTC

Import patches-unapplied version 3.12.6-3ubuntu4.3 to ubuntu/quantal-security

Imported using git-ubuntu import.

Changelog parent: 473a6a99d82d7469e70467acdfbcf41f85c1b458

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.patch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402
  * SECURITY UPDATE: insecure upgrade feature
    - debian/non-shipped-files.txt, debian/hplip.install: don't ship
      hp-upgrade and upgrade.py.
    - CVE-2013-6427

applied/ubuntu/lucid-security 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-applied version 3.10.2-2ubuntu2.5 to applied/ubuntu/lucid-secu...

Author: Marc Deslauriers
Author Date: 2014-01-20 16:03:10 UTC

Import patches-applied version 3.10.2-2ubuntu2.5 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 8f3882a817694848dfeb3428c18f991310487a8f
Unapplied parent: 0005dcdce06d14c56f521919a600bff9ce2dacdd

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.dpatch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402

applied/ubuntu/lucid-updates 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-applied version 3.10.2-2ubuntu2.5 to applied/ubuntu/lucid-secu...

Author: Marc Deslauriers
Author Date: 2014-01-20 16:03:10 UTC

Import patches-applied version 3.10.2-2ubuntu2.5 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 8f3882a817694848dfeb3428c18f991310487a8f
Unapplied parent: 0005dcdce06d14c56f521919a600bff9ce2dacdd

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.dpatch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402

ubuntu/quantal-security 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-unapplied version 3.12.6-3ubuntu4.3 to ubuntu/quantal-security

Author: Marc Deslauriers
Author Date: 2014-01-20 15:56:11 UTC

Import patches-unapplied version 3.12.6-3ubuntu4.3 to ubuntu/quantal-security

Imported using git-ubuntu import.

Changelog parent: 473a6a99d82d7469e70467acdfbcf41f85c1b458

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.patch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402
  * SECURITY UPDATE: insecure upgrade feature
    - debian/non-shipped-files.txt, debian/hplip.install: don't ship
      hp-upgrade and upgrade.py.
    - CVE-2013-6427

ubuntu/saucy-updates 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-unapplied version 3.13.9-1ubuntu0.1 to ubuntu/saucy-security

Author: Marc Deslauriers
Author Date: 2014-01-20 15:51:43 UTC

Import patches-unapplied version 3.13.9-1ubuntu0.1 to ubuntu/saucy-security

Imported using git-ubuntu import.

Changelog parent: b2138b9e5cb802cfcd6d8c4e14290d98023c9b53

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.patch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402
  * SECURITY UPDATE: insecure upgrade feature
    - debian/non-shipped-files.txt, debian/hplip.install: don't ship
      hp-upgrade and upgrade.py.
    - CVE-2013-6427

applied/ubuntu/lucid-devel 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-applied version 3.10.2-2ubuntu2.5 to applied/ubuntu/lucid-secu...

Author: Marc Deslauriers
Author Date: 2014-01-20 16:03:10 UTC

Import patches-applied version 3.10.2-2ubuntu2.5 to applied/ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: 8f3882a817694848dfeb3428c18f991310487a8f
Unapplied parent: 0005dcdce06d14c56f521919a600bff9ce2dacdd

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.dpatch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402

ubuntu/lucid-security 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-unapplied version 3.10.2-2ubuntu2.5 to ubuntu/lucid-security

Author: Marc Deslauriers
Author Date: 2014-01-20 16:03:10 UTC

Import patches-unapplied version 3.10.2-2ubuntu2.5 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: f6a2f27aabaa3b18f79e8f3a9be1496d03d91514

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.dpatch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402

ubuntu/lucid-updates 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-unapplied version 3.10.2-2ubuntu2.5 to ubuntu/lucid-security

Author: Marc Deslauriers
Author Date: 2014-01-20 16:03:10 UTC

Import patches-unapplied version 3.10.2-2ubuntu2.5 to ubuntu/lucid-security

Imported using git-ubuntu import.

Changelog parent: f6a2f27aabaa3b18f79e8f3a9be1496d03d91514

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.dpatch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402

applied/ubuntu/saucy-updates 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-applied version 3.13.9-1ubuntu0.1 to applied/ubuntu/saucy-secu...

Author: Marc Deslauriers
Author Date: 2014-01-20 15:51:43 UTC

Import patches-applied version 3.13.9-1ubuntu0.1 to applied/ubuntu/saucy-security

Imported using git-ubuntu import.

Changelog parent: 3d5fd5ffdbc9d117364c0c1abb484ca8f467d0b4
Unapplied parent: 5b0328bbd3cee0c102e3884743f66c7e5900632d

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.patch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402
  * SECURITY UPDATE: insecure upgrade feature
    - debian/non-shipped-files.txt, debian/hplip.install: don't ship
      hp-upgrade and upgrade.py.
    - CVE-2013-6427

applied/ubuntu/saucy-security 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-applied version 3.13.9-1ubuntu0.1 to applied/ubuntu/saucy-secu...

Author: Marc Deslauriers
Author Date: 2014-01-20 15:51:43 UTC

Import patches-applied version 3.13.9-1ubuntu0.1 to applied/ubuntu/saucy-security

Imported using git-ubuntu import.

Changelog parent: 3d5fd5ffdbc9d117364c0c1abb484ca8f467d0b4
Unapplied parent: 5b0328bbd3cee0c102e3884743f66c7e5900632d

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.patch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402
  * SECURITY UPDATE: insecure upgrade feature
    - debian/non-shipped-files.txt, debian/hplip.install: don't ship
      hp-upgrade and upgrade.py.
    - CVE-2013-6427

applied/ubuntu/saucy-devel 2014-01-21 13:38:22 UTC 2014-01-21
Import patches-applied version 3.13.9-1ubuntu0.1 to applied/ubuntu/saucy-secu...

Author: Marc Deslauriers
Author Date: 2014-01-20 15:51:43 UTC

Import patches-applied version 3.13.9-1ubuntu0.1 to applied/ubuntu/saucy-security

Imported using git-ubuntu import.

Changelog parent: 3d5fd5ffdbc9d117364c0c1abb484ca8f467d0b4
Unapplied parent: 5b0328bbd3cee0c102e3884743f66c7e5900632d

New changelog entries:
  * SECURITY UPDATE: insecure temp file use in pkit.py
    - debian/patches/CVE-2013-6402.patch: remove logging to temp file in
      base/pkit.py.
    - CVE-2013-6402
  * SECURITY UPDATE: insecure upgrade feature
    - debian/non-shipped-files.txt, debian/hplip.install: don't ship
      hp-upgrade and upgrade.py.
    - CVE-2013-6427

1100 of 227 results

Other repositories

Name Last Modified
lp:ubuntu/+source/hplip 2018-10-08
11 of 1 result
You can't create new repositories for hplip in Ubuntu.